Cannot update Security settings in Windows Group Policy on a workstation with XPSP3

  • 7000824
  • 02-Jul-2008
  • 27-Apr-2012

Environment

Novell ZENworks 10 Configuration Management ZENworks Control Center - ZCC
Microsoft Windows XP Professional Windows XP Professional Service Pack 3

Situation

ERROR: "Setup has detected that the Service Pack version of this system is newer than the update you are applying. There is no need to install this update"

Trying to install MS KB 897327 because of message "To operate on security settings, Windows XP Hotfix KB 897327 is required" in ZCC

Trying to edit GPO without hotfix installed results in

ERROR: "Unable to import the security settings of the Windows Group policy because Windows XP Hotfix KB 897327 might not be installed on the managed device"



Resolution

This is fixed in version 10.1 - see KB 7001200 "ZENworks 10 Configuration Management with SP1 (10.1)" which can be found at https://www.novell.com/support

Workaround:
Be very careful that you only do this workaround on devices that have XP SP3

For all machines with XP Service Pack 3, where you need to edit the policy and also where you need deploy the policy, create a registry value:
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\HotFix\KB 897327]
"Installed"=dword:00000001

This will inform ZENworks that the fix is applied.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.